---
apiVersion: v1
kind: Secret
metadata:
  name: {{ printf "%s-alarmenservice-database" .Release.Name }}
  labels:
    {{- include "alarmenservice.labels" . | nindent 4 }}
  annotations:
    "helm.sh/hook": pre-install,pre-upgrade
    "helm.sh/hook-weight": "-1"
    "helm.sh/hook-delete-policy": before-hook-creation
data:
  POSTGRESQL_HOST: {{ include "db.host" . | b64enc }}
  POSTGRESQL_PORT: {{ include "db.port" . | b64enc }}
  POSTGRESQL_DATABASE_NAME: {{ include "db.name" . | b64enc }}
  POSTGRESQL_USERNAME: {{ include "db.username" . | b64enc }}
  POSTGRESQL_PASSWORD: {{ include "db.password" . | b64enc }}
  POSTGRESQL_URL: {{ include "db.url" . | b64enc }}
  POSTGRESQL_URL_LEGACY: {{ include "db.url_legacy" . | b64enc }}
